MARTIN, ETHAN DWAYNE - White County, Arkansas | ETHAN DWAYNE MARTIN - Arkansas Gravestone Photos

Ethan Dwayne MARTIN

Providence Cemetery
White County,
Arkansas

Dec 26, 2001 - Nov 17, 2017

White County, Ark. (KATV) — White County Sheriffs Office is investigating a drowning in the Bald Knob Lake.

On Friday around 5:50 p.m. the White County 911 Dispatch center received a call that a teenage boy had fallen out of a boat at Bald Knob Lake.

The caller stated that they could see the boat out on the lake but could not locate the boy.

White County Sheriff’s Deputies and Search and Rescue Dive Team, Survival Flight 6, Bald Knob Police, NorthStar EMS, and Arkansas Game and Fish Commission Officers responded to the area.

After several hours of searching, Ethan Dwayne Martin 15, of Judsonia was found in Bald Knob Lake where he had drown.

The Arkansas Game and Fish Commission is investigating this boating accident at this time.

---------------

Ethan Dwayne Martin, 15, of Judsonia, namesake of his Papa, Alfred Dwayne Louks, went to be with the Lord, Friday, November 17, 2017. Ethan was a 10th grade student at Bald Knob High School and was an avid outdoorsman who loved to hunt and fish. He also possessed a love of classic cars, particularly his 1972 Ford Torino. He and his Uncle Michael would attend car shows together quite frequently. 4-wheelers were another area of interest for Ethan. He was proud of his ATV’s. He liked to deck them out with green lights and get them muddy. He was also very particular about his appearance, especially his long locks. When his dad would mention the word “haircut” he would say….. “I promise I will be good, just please don’t make me cut my hair!” He liked hats (especially Columbia hats), his 2004 GMC truck and shooting for the Bald Knob High School Trap Team. Ethan was a member of the Searcy First Assembly of God and, each year, looked forward to helping with the Living Nativity where he would tend to the animals. When his mom began working for the Searcy Police Department, Ethan decided he wanted to be a police officer when he graduated high school.
Ethan enjoyed so much about life here on this earth but because he was a Christian, he is now enjoying eternal life in heaven.
He is survived by his parents, Wayne and Ronda Louks Martin; brother, Evan Martin; sister, Andrea Martin Baughman (Hunter); maternal grandparents, Alfred and Chestine Louks; paternal grandparents, Jeral and Barbara Martin; his sweet girlfriend, Tori Tackett; uncle Stan (Tutu) and aunt Karla Louks, cousin Callie Louks Warford (Jordan), uncle Troy Martin, uncle Mark and aunt Becky Coyle, cousins, Jordan Jones (Kendra) and Garrett Coyle, uncle Shannon and aunt Vicky Haynes, cousin Hailey Haynes and baby Raylee Ann, aunt Tina Blanton, cousins Taryn and Trevor Blanton.
Visitation will be Monday from 5:00 – 8:00 p.m. at the Searcy First Assembly of God. Services will be held Tuesday, November 21, 2017 at 2:00 p.m. also at the church. Interment will follow in the Providence Cemetery by Powell Funeral Home, Bald Knob – Judsonia. www.powellfuneralhome.net.

Photo;
Peg Herriage
paperdoll1913@gmail.com

Contributed on 4/18/20 by hawkinsdonna48
Email This Contributor

Suggest a Correction

Record #: 1310895

To request a copy of this photo for your own personal use, please contact our state coordinator. If you are not a family member or the original photographer — please refrain from copying or distributing this photo to other websites.

Thank you for visiting the Arkansas Gravestone Photo Project. On this site you can upload gravestone photos, locate ancestors and perform genealogy research. If you have a relative buried in Arkansas, we encourage you to upload a digital image using our Submit a Photo page. Contributing to this genealogy archive helps family historians and genealogy researchers locate their relatives and complete their family tree.

Submitted: 4/18/20 • Approved: 4/18/20 • Last Updated: 4/21/20 • R1310895-G0-S3

Users Online  |  Surnames  |  Other GPP Projects  |  Contact Us  |  Terms of Use  |  Site Map  |  Admin Login